"""add_url_to_bgm_music

Revision ID: 100366516fbd
Revises: 7172a476e5b2
Create Date: 2026-05-24 15:24:11.076162

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '100366516fbd'
down_revision: Union[str, Sequence[str], None] = '7172a476e5b2'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    op.add_column('mjk_bgm_musics', sa.Column('url', sa.String(length=1024), nullable=True, comment='七牛云 URL'))


def downgrade() -> None:
    """Downgrade schema."""
    op.drop_column('mjk_bgm_musics', 'url')
